/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				                 *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include "HELP/help.h"
#include "WIN/win.h"
#include "WIN/opengl.h"
#include "FPS/fps.h"
#include "EYE/eye.h"
#include "MUSCLE/muscle.h"

/* Define Bool */
#define TRUE 1
#define FALSE 0

/*-------------------------------------------------------------------------*/

char colour, grid, night, fversion, fhelp = FALSE;

/* Main Program */
int main (int egac, char **egav) 
{
	/* Console Settings */	
	int n = 0;
	int f = 0;
	
	for(n = 0; n < egac; n++)
	{
		for(f = 0; f < egav[n][f]; ++f)
		{
			switch(egav[n][f])    
			{
				case 'C':
				colour = TRUE;
				break;
				
				case 'G':
				grid = TRUE;
				break;
				
				case 'N':
				night = TRUE;
				break;
				
				case 'v':
				fversion = TRUE;
				break;
				
				case 'h':
				fhelp = TRUE;
				break;
			}
		}
	}			
	
	/*---------------------------------------------------------------------*/
	
	/* Create Window */
	createWin();
	InitTimeCounter();
		
	/* Render */
	while(colour || grid || night) 
	{	
		/* Landscape */
		init(night);
		renderLandscape(colour);
		renderPlane();
		renderCockpit();
		eventloop();
		perspective();
		/* FPS */
		CalculateFPS();
		UpdateTimeCounter();	
	}

	/*---------------------------------------------------------------------*/
	
	/* Show Help Desk */
	if(fhelp)
	{
		help_Desk(egac);
	}

	/* Display Version */
	else if(fversion)
	{
		version();
	}
	 
	return 0;
}

/*-------------------------------------------------------------------------*/
